Get Contact Exclusion
Fetch a single contact-level exclusion.
Requires the contact_exclusions:read scope on the API key.
GET
/
v1
/
contact-exclusions
/
{exclusion_id}
Get Contact Exclusion
curl --request GET \
--url https://api.topo.io/v1/contact-exclusions/{exclusion_id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.topo.io/v1/contact-exclusions/{exclusion_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.topo.io/v1/contact-exclusions/{exclusion_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"linkedin_url": "<string>",
"reason": "BAD_TIMING",
"message": "<string>",
"until": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Authorizations
Bearer API key issued from Settings → Developers.
Path Parameters
ID of the exclusion.
Response
200 - application/json
Successful Response
Unique identifier.
Excluded email.
Excluded LinkedIn URL.
Reason for the exclusion.
Available options:
BAD_TIMING, BOUNCED, COMPETITOR, CONTACT_REFUSED, INTERESTED, MEETING, NOT_INTERESTED, OTHER, OUT_OF_OFFICE, UNKNOWN, UNSUBSCRIBED, WRONG_PERSON, EXCLUDE_FROM_SEARCH, EXCLUDE_FROM_CRM, REFERRAL, LEFT_COMPANY Operator note.
When the exclusion expires.
When the exclusion was created.
When the exclusion last changed.
Was this page helpful?
⌘I
Get Contact Exclusion
curl --request GET \
--url https://api.topo.io/v1/contact-exclusions/{exclusion_id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.topo.io/v1/contact-exclusions/{exclusion_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.topo.io/v1/contact-exclusions/{exclusion_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"linkedin_url": "<string>",
"reason": "BAD_TIMING",
"message": "<string>",
"until": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}